$(document).ready(function() {
    let item = $('#rol').find(":selected").text();
    (function(item){
        showSupervisorsIfIsAssigned(item)
    })(item)

    function showSupervisorsIfIsAssigned(item)
    {
        /*
        let element = document.getElementById("showsupervisor")
        if (item) {
            let onlyfor = element.getAttribute("data-onlyfor")
            if (item == onlyfor) {
                element.classList.remove("invisible")
                element.classList.add("visible")
            }
            else
            {
                element.classList.remove("visible")
                element.classList.add("invisible")
            }
        }
        */
    }
    
    if (document.getElementById("myestado").value == "on")
    {
        $('#lblEstado').text("ACTIVE");
    }
    else
    {
        $('#lblEstado').text("INACTIVE");
    }

    if (document.getElementById("myseguimiento").value == "on")
    {
        $('#lblSeguimiento').text("ON");
    }
    else
    {
        $('#lblSeguimiento').text("OFF");
    }

    $("#rol").on("change", function() {
        let item = $(this).find(":selected").text();
        showSupervisorsIfIsAssigned(item)
    });
    
    $("#estado").change(function() {
        if(document.getElementById("estado").checked){
            document.getElementById("myestado").value = "on";
            $('#lblEstado').text("ACTIVE");
        }
        else{
            document.getElementById("myestado").value = "off";
            $('#lblEstado').text("INACTIVE");
        }
        
    });
    
    $("#seguimiento").change(function() {
        if(document.getElementById("seguimiento").checked){
            document.getElementById("myseguimiento").value = "on";
            $('#lblSeguimiento').text("ON");
        }
        else{
            document.getElementById("myseguimiento").value = "off";
            $('#lblSeguimiento').text("OFF");
        }
        
    });

    
});
